at-spi-idl: Accessibility::Image Interface Reference

Public Member Functions | Data Fields

# Accessibility::Image Interface Reference

`import "Accessibility_Image.idl";`

## Public Member Functions
BoundingBox | getImageExtents (in short coordType)
void | getImagePosition (out long x, out long y, in short coordType)
void | getImageSize (out long width, out long height)
## Data Fields
readonly attribute string | imageDescription
readonly attribute string | imageLocale

## Detailed Description

An interface implemented by objects which render image data or pictorial information to the screen. When onscreen components include graphical information that is not purely intended to enhance "3d effect" or visual layout, but which conveys some semantic or informational content to the sighted user, they should implement Image, and that semantic content should be conveyed textually to the extent possible via the image description, as well as the Accessible::name and Accessible::description properties.

## Member Function Documentation

BoundingBox Accessibility::Image::getImageExtents | ( | in short | coordType | ) |

Obtain a bounding box which entirely contains the image contents, as displayed on screen. The bounds returned do not account for any viewport clipping or the fact that the image may be partially or wholly obscured by other onscreen content.

Note:
  This method returns the bounds of the current onscreen view, and not the nominal size of the source data in the event that the original image has been rescaled.

Parameters:

  | coordType | If 0, the returned bounding box position is returned relative to the screen; if 1, the bounding box position is returned relative to the containing window.

Returns:
  a BoundingBox enclosing the image's onscreen representation.

void Accessibility::Image::getImagePosition | ( | out long | x,
|  | out long | y,
|  | in short | coordType |
| ) |  |  |

Get the coordinates of the current image position on screen.

Parameters:

  | x | Back-filled with the x coordinate of the onscreen image (i.e. the minimum x coordinate)
  | y | Back-filled with the y coordinate of the onscreen image (i.e. the minimum y coordinate)
  | coordType | If 0, the returned x and y coordinates are returned relative to the screen; if 1, they are returned relative to the containing window.

void Accessibility::Image::getImageSize | ( | out long | width,
|  | out long | height |
| ) |  |  |

Obtain the width and height of the current onscreen view of the image. The extents returned do not account for any viewport clipping or the fact that the image may be partially or wholly obscured by other onscreen content.

Note:
  This method returns the size of the current onscreen view, and not the nominal or "original" size of the source image, in the event that the original image has been rescaled.

Parameters:

  | width | Back-filled with the x extents of the onscreen image (i.e. the image width in pixels)
  | height | Back-filled with the y extents of the onscreen image (i.e. the image height in pixels)

## Field Documentation

readonly attribute string Accessibility::Image::imageDescription

A UTF-8 string providing a textual description of what is visually depicted in the image.

Note:
  It is recommended that imageDescription be the shorter of the available image descriptions, for instance "alt text" in HTML images, and a longer description be provided in Accessible::accessible-description, if available. A short, one or two word label for the image should be provided in Accessible::accessible-name.

readonly attribute string Accessibility::Image::imageLocale

A string corresponding to the POSIX LC_MESSAGES locale used by the imageDescription.

Since:
  AT-SPI 1.7.0

The documentation for this interface was generated from the following file:

- /home/liyuan/src/at-spi/idl/Accessibility_Image.idl